Bug 1650969 - Review Request: perl-Mojo-SQLite - Tiny Mojolicious wrapper for SQLite
Summary: Review Request: perl-Mojo-SQLite - Tiny Mojolicious wrapper for SQLite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1650428
Blocks: perl-Minion-Backend-SQLite
TreeView+ depends on / blocked
 
Reported: 2018-11-18 09:23 UTC by Emmanuel Seyman
Modified: 2019-01-23 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 01:07:28 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Emmanuel Seyman 2018-11-18 09:23:33 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Mojo-SQLite/perl-Mojo-SQLite.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Mojo-SQLite/perl-Mojo-SQLite-3.001-1.fc29.src.rpm
Description:
Mojo::SQLite is a tiny wrapper around DBD::SQLite that makes SQLite a lot
of fun to use with the Mojolicious real-time web framework. Use all SQL
features SQLite has to offer, generate CRUD queries from data structures,
and manage your database schema with migrations.

Fedora Account System Username: eseyman
Rpmlint Output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Robert-André Mauchin 🐧 2018-11-18 16:34:27 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: 04b790d65b2a2d9fd1eaad52a72055c46f61aa3cad09bbe959ce2db167ad3ebe) is original. Ok.
Summary verified from lib/Mojo/SQLite.pm. Ok.
Description verified from lib/Mojo/SQLite.pm. Ok.
License verified from lib/Mojo/SQLite.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-Mojo-SQLite.spec review-perl-Mojo-SQLite/results/perl-Mojo-SQLite-3.001-1.fc30.noarch.rpm review-perl-Mojo-SQLite/results/perl-Mojo-SQLite-3.001-1.fc30.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpm -q -lv -p perl-Mojo-SQLite-3.001-1.fc30.noarch.rpm 
drwxr-xr-x    2 root    root                        0 nov. 18 17:18 /usr/share/doc/perl-Mojo-SQLite
-rw-r--r--    1 root    root                     4430 juil. 21 02:25 /usr/share/doc/perl-Mojo-SQLite/CONTRIBUTING.md
-rw-r--r--    1 root    root                     5743 juil. 21 02:25 /usr/share/doc/perl-Mojo-SQLite/Changes
-rw-r--r--    1 root    root                    14738 juil. 21 02:25 /usr/share/doc/perl-Mojo-SQLite/README
drwxr-xr-x    2 root    root                        0 nov. 18 17:18 /usr/share/licenses/perl-Mojo-SQLite
-rw-r--r--    1 root    root                     9037 juil. 21 02:25 /usr/share/licenses/perl-Mojo-SQLite/LICENSE
-rw-r--r--    1 root    root                     7077 nov. 18 17:18 /usr/share/man/man3/Mojo::SQLite.3pm.gz
-rw-r--r--    1 root    root                     4429 nov. 18 17:18 /usr/share/man/man3/Mojo::SQLite::Database.3pm.gz
-rw-r--r--    1 root    root                     3321 nov. 18 17:18 /usr/share/man/man3/Mojo::SQLite::Migrations.3pm.gz
-rw-r--r--    1 root    root                     2072 nov. 18 17:18 /usr/share/man/man3/Mojo::SQLite::PubSub.3pm.gz
-rw-r--r--    1 root    root                     3270 nov. 18 17:18 /usr/share/man/man3/Mojo::SQLite::Results.3pm.gz
-rw-r--r--    1 root    root                     2341 nov. 18 17:18 /usr/share/man/man3/Mojo::SQLite::Transaction.3pm.gz
drwxr-xr-x    2 root    root                        0 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo
drwxr-xr-x    2 root    root                        0 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo/SQLite
-rw-r--r--    1 root    root                    17554 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo/SQLite.pm
-rw-r--r--    1 root    root                    11146 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo/SQLite/Database.pm
-rw-r--r--    1 root    root                     7025 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo/SQLite/Migrations.pm
-rw-r--r--    1 root    root                      816 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo/SQLite/PubSub.pm
-rw-r--r--    1 root    root                     5451 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo/SQLite/Results.pm
-rw-r--r--    1 root    root                     2025 nov. 18 17:18 /usr/share/perl5/vendor_perl/Mojo/SQLite/Transaction.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Mojo-SQLite-3.001-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.0)
      1 perl(Carp)
      1 perl(constant)
      1 perl(DBD::SQLite)
      1 perl(DBI)
      1 perl(File::Spec::Functions)
      1 perl(File::Temp)
      1 perl(Mojo::Base)
      1 perl(Mojo::Collection)
      1 perl(Mojo::File)
      1 perl(Mojo::IOLoop)
      1 perl(Mojo::JSON)
      1 perl(Mojo::Loader)
      1 perl(Mojo::SQLite::Database)
      1 perl(Mojo::SQLite::Migrations)
      1 perl(Mojo::SQLite::Results)
      1 perl(Mojo::SQLite::Transaction)
      1 perl(Mojo::Util)
      1 perl(Scalar::Util)
      1 perl(SQL::Abstract)
      1 perl(URI)
      1 perl(URI::db)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.


$ rpm -q --provides -p perl-Mojo-SQLite-3.001-1.fc30.noarch.rpm 
perl(Mojo::SQLite) = 3.001
perl(Mojo::SQLite::Database) = 3.001
perl(Mojo::SQLite::Migrations) = 3.001
perl(Mojo::SQLite::PubSub) = 3.001
perl(Mojo::SQLite::Results) = 3.001
perl(Mojo::SQLite::Transaction) = 3.001
perl-Mojo-SQLite = 3.001-1.fc30
Binary provides are Ok.

Package builds in Mock.
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved.

Comment 2 Emmanuel Seyman 2018-11-18 18:42:03 UTC
(In reply to Robert-André Mauchin from comment #1)
>
> Resolution: Package approved.

Thank you R-A. Repository requested.

Comment 3 Gwyn Ciesla 2018-11-19 15:17:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Mojo-SQLite

Comment 4 Emmanuel Seyman 2019-01-23 01:07:28 UTC
This package is now in Fedora 28, 29 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.